gleScrew(3GLE)

NAME
gleScrew - Draws screw-type shapes.

SYNTAX

void gleScrew (int ncp,
               gleDouble contour[][2],
               gleDouble cont_normal[][2],
               gleDouble up[3],
	       gleDouble startz,
	       gleDouble endz,
	       gleDouble twist);

ARGUMENTS

ncp number of contour points

contour
    2D contour

cont_normal
    2D contour normals

up  up vector for contour

startx
    start of segment

endz
    end of segment

twist
    number of rotations

DESCRIPTION

Draws screw-type shapes. Takes a contour, and extrudes it along the z-axis, from a start z value of startz to an end z-value of endz. During the extrusion, it will spin the contour along the contour origin by twist degrees.

SEE ALSO
gleExtrusion

AUTHOR
Linas Vepstas (linas@linas.org)